xine-lib: picture_s Struct Reference

xine-lib 1.2.12

Data Fields
picture_s Struct Reference

`#include <mpeg2_internal.h>`

## Data Fields
int16_t | DCTblock [64]
xine_macroblocks_t * | mc
int | XvMC_mb_type
int | XvMC_mv_field_sel [2][2]
int | XvMC_x
int | XvMC_y
int | XvMC_motion_type
int | XvMC_dmvector [2]
int | XvMC_cbp
int | XvMC_dct_type
uint32_t | bitstream_buf
int | bitstream_bits
uint8_t * | bitstream_ptr
uint8_t * | dest [3]
int | pitches [3]
int | offset
unsigned int | limit_x
unsigned int | limit_y_16
unsigned int | limit_y_8
unsigned int | limit_y
motion_t | b_motion
motion_t | f_motion
int16_t | dc_dct_pred [3]
int | quantizer_scale
int | current_field
int | dmv_offset
unsigned int | v_offset
uint8_t | intra_quantizer_matrix [64]
uint8_t | non_intra_quantizer_matrix [64]
int | load_intra_quantizer_matrix
int | load_non_intra_quantizer_matrix
int | coded_picture_width
int | coded_picture_height
unsigned int | display_width
unsigned int | display_height
int | picture_coding_type
int | vbv_delay
int | low_delay
int | intra_dc_precision
int | picture_structure
int | frame_pred_frame_dct
int | concealment_motion_vectors
int | q_scale_type
int | intra_vlc_format
int | top_field_first
uint8_t * | scan
struct vo_frame_s * | current_frame
struct vo_frame_s * | forward_reference_frame
struct vo_frame_s * | backward_reference_frame
int | frame_width
int | frame_height
int | second_field
int | mpeg1
int | skip_non_intra_dct
int | aspect_ratio_information
int | saved_aspect_ratio
int | frame_rate_code
int | progressive_sequence
int | repeat_first_field
int | progressive_frame
int32_t | frame_centre_horizontal_offset
int32_t | frame_centre_vertical_offset
uint32_t | video_format
uint32_t | colour_description
uint32_t | colour_primatives
uint32_t | transfer_characteristics
uint32_t | matrix_coefficients
uint32_t | display_horizontal_size
uint32_t | display_vertical_size
uint32_t | drop_frame_flag
uint32_t | time_code_hours
uint32_t | time_code_minutes
uint32_t | time_code_seconds
uint32_t | time_code_pictures
uint32_t | closed_gop
uint32_t | broken_link
int | bitrate
int | frame_rate_ext_n
int | frame_rate_ext_d

## Field Documentation

## ◆ aspect_ratio_information

int picture_s::aspect_ratio_information

Referenced by process_userdata().

## ◆ b_motion

motion_t picture_s::b_motion

## ◆ backward_reference_frame

struct vo_frame_s* picture_s::backward_reference_frame

## ◆ bitrate

int picture_s::bitrate

## ◆ bitstream_bits

int picture_s::bitstream_bits

## ◆ bitstream_buf

uint32_t picture_s::bitstream_buf

## ◆ bitstream_ptr

uint8_t* picture_s::bitstream_ptr

## ◆ broken_link

uint32_t picture_s::broken_link

## ◆ closed_gop

uint32_t picture_s::closed_gop

## ◆ coded_picture_height

int picture_s::coded_picture_height

Referenced by process_userdata().

## ◆ coded_picture_width

int picture_s::coded_picture_width

Referenced by process_userdata().

## ◆ colour_description

uint32_t picture_s::colour_description

## ◆ colour_primatives

uint32_t picture_s::colour_primatives

## ◆ concealment_motion_vectors

int picture_s::concealment_motion_vectors

## ◆ current_field

int picture_s::current_field

## ◆ current_frame

struct vo_frame_s* picture_s::current_frame

Referenced by parse_chunk().

## ◆ dc_dct_pred

int16_t picture_s::dc_dct_pred[3]

## ◆ DCTblock

int16_t picture_s::DCTblock[64]

## ◆ dest

uint8_t* picture_s::dest[3]

## ◆ display_height

unsigned int picture_s::display_height

Referenced by process_userdata().

## ◆ display_horizontal_size

uint32_t picture_s::display_horizontal_size

## ◆ display_vertical_size

uint32_t picture_s::display_vertical_size

## ◆ display_width

unsigned int picture_s::display_width

Referenced by process_userdata().

## ◆ dmv_offset

int picture_s::dmv_offset

## ◆ drop_frame_flag

uint32_t picture_s::drop_frame_flag

## ◆ f_motion

motion_t picture_s::f_motion

## ◆ forward_reference_frame

struct vo_frame_s* picture_s::forward_reference_frame

## ◆ frame_centre_horizontal_offset

int32_t picture_s::frame_centre_horizontal_offset

## ◆ frame_centre_vertical_offset

int32_t picture_s::frame_centre_vertical_offset

## ◆ frame_height

int picture_s::frame_height

## ◆ frame_pred_frame_dct

int picture_s::frame_pred_frame_dct

## ◆ frame_rate_code

int picture_s::frame_rate_code

Referenced by get_frame_duration(), and remember_metainfo().

## ◆ frame_rate_ext_d

int picture_s::frame_rate_ext_d

Referenced by get_frame_duration().

## ◆ frame_rate_ext_n

int picture_s::frame_rate_ext_n

Referenced by get_frame_duration().

## ◆ frame_width

int picture_s::frame_width

## ◆ intra_dc_precision

int picture_s::intra_dc_precision

## ◆ intra_quantizer_matrix

uint8_t picture_s::intra_quantizer_matrix[64]

## ◆ intra_vlc_format

int picture_s::intra_vlc_format

## ◆ limit_x

unsigned int picture_s::limit_x

## ◆ limit_y

unsigned int picture_s::limit_y

## ◆ limit_y_16

unsigned int picture_s::limit_y_16

## ◆ limit_y_8

unsigned int picture_s::limit_y_8

## ◆ load_intra_quantizer_matrix

int picture_s::load_intra_quantizer_matrix

## ◆ load_non_intra_quantizer_matrix

int picture_s::load_non_intra_quantizer_matrix

## ◆ low_delay

int picture_s::low_delay

## ◆ matrix_coefficients

uint32_t picture_s::matrix_coefficients

## ◆ mc

xine_macroblocks_t* picture_s::mc

## ◆ mpeg1

int picture_s::mpeg1

## ◆ non_intra_quantizer_matrix

uint8_t picture_s::non_intra_quantizer_matrix[64]

## ◆ offset

int picture_s::offset

## ◆ picture_coding_type

int picture_s::picture_coding_type

## ◆ picture_structure

int picture_s::picture_structure

## ◆ pitches

int picture_s::pitches[3]

## ◆ progressive_frame

int picture_s::progressive_frame

## ◆ progressive_sequence

int picture_s::progressive_sequence

Referenced by get_frame_duration().

## ◆ q_scale_type

int picture_s::q_scale_type

## ◆ quantizer_scale

int picture_s::quantizer_scale

## ◆ repeat_first_field

int picture_s::repeat_first_field

## ◆ saved_aspect_ratio

int picture_s::saved_aspect_ratio

## ◆ scan

uint8_t* picture_s::scan

## ◆ second_field

int picture_s::second_field

## ◆ skip_non_intra_dct

int picture_s::skip_non_intra_dct

## ◆ time_code_hours

uint32_t picture_s::time_code_hours

## ◆ time_code_minutes

uint32_t picture_s::time_code_minutes

## ◆ time_code_pictures

uint32_t picture_s::time_code_pictures

## ◆ time_code_seconds

uint32_t picture_s::time_code_seconds

## ◆ top_field_first

int picture_s::top_field_first

## ◆ transfer_characteristics

uint32_t picture_s::transfer_characteristics

## ◆ v_offset

unsigned int picture_s::v_offset

## ◆ vbv_delay

int picture_s::vbv_delay

## ◆ video_format

uint32_t picture_s::video_format

## ◆ XvMC_cbp

int picture_s::XvMC_cbp

## ◆ XvMC_dct_type

int picture_s::XvMC_dct_type

## ◆ XvMC_dmvector

int picture_s::XvMC_dmvector[2]

## ◆ XvMC_mb_type

int picture_s::XvMC_mb_type

## ◆ XvMC_motion_type

int picture_s::XvMC_motion_type

## ◆ XvMC_mv_field_sel

int picture_s::XvMC_mv_field_sel[2][2]

## ◆ XvMC_x

int picture_s::XvMC_x

## ◆ XvMC_y

int picture_s::XvMC_y

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_dec/libmpeg2/mpeg2_internal.h